
Application: gvSIG desktop - gvSIG bugs #4602
Error saving a project
08/08/2017 10:42 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197)
Severity: Critical Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2830 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

An error happens when saving a whatever project (at least on win). Here's an abstract of gvSIG.log:

INFO 274710 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Salvataggio del progetto in corso:
italy.gvsproj
INFO 274734 AWT-EventQueue-0 org.gvsig.tools.locator.AbstractLocator - Created and stored the instance of
default.layer.order.manager in the singleton table
(org.gvsig.fmap.mapcontext.layers.order.impl.TrivialLayerOrderManager/org.gvsig.fmap.mapcontext.layers.order.impl.TrivialLayerOrderManager@751511b8).
ERROR 274765 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Errore nel salvataggio del progetto: italy.gvsproj
Error getting or setting the state of an object.
  org.gvsig.crs.Crs cannot be cast to org.gvsig.tools.dynobject.DynObject
  ja
yerOrderManager@751511b8).
ERROR 274765 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Errore nel salvataggio del progetto:
italy.gvsproj
Error getting or setting the state of an object.
  org.gvsig.crs.Crs cannot be cast to org.gvsig.tools.dynobject.DynObject
  java.awt.geom.Rectangle2D$Double cannot be cast to org.gvsig.tools.dynobject.DynObject
  java.awt.geom.Rectangle2D$Double cannot be cast to org.gvsig.tools.dynobject.DynObject
  java.awt.geom.Point2D$Double cannot be cast to org.gvsig.tools.dynobject.DynObject
  Errors found validating persistent state.
  Errors found validating 'org.gvsig.app.project.DefaultProject'.
  Errors found validating 'Persistence:Project'.
  Field 'Proiezione': Value required.
  null
  null
  null
  null
  null
  null
  null
  null
  null

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4344: 3D layer propertie... Closed 08/30/2016

Associated revisions
Revision 1602 - 08/09/2017 11:48 AM - Joaquín  del Cerro Murciano

refs #4602, #4344 correccion de un error de bulto en DefaultFactories

Revision 43421 - 08/09/2017 12:07 PM - Joaquín  del Cerro Murciano

refs #4602, #4344 actualizacion de la version de org.gvsig.tools

History
#1 - 08/08/2017 10:47 AM - Antonio Falciano

The *.gvsproj file is saved on disk but can't be opened:

INFO 27761 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.ProjectExtension.execute('application-project-open')
INFO 33547 AWT-EventQueue-0 org.gvsig.tools.persistence.impl.AbstractPersistentState - Can't fix relative paths in 'Unknown'
java.lang.NullPointerException
    at org.gvsig.tools.persistence.impl.AbstractPersistentState.derelativizeFiles(AbstractPersistentState.java:884)
    at org.gvsig.app.project.DefaultProject.loadState(DefaultProject.java:592)
    at org.gvsig.app.project.DefaultProject.loadState(DefaultProject.java:650)
    at org.gvsig.app.extension.ProjectExtension.readProject(ProjectExtension.java:522)
    [...]

    [...]
INFO 33583 AWT-EventQueue-0 org.gvsig.tools.locator.AbstractLocator - Created and stored the instance of org.gvsig.tools.dispose.manager
in the singleton table
(org.gvsig.tools.dispose.impl.DefaultDisposableManager/org.gvsig.tools.dispose.impl.DefaultDisposableManager@4a69d39).
WARN 33599 AWT-EventQueue-0 org.gvsig.tools.persistence.impl.DelegatedContainer - Can't retrieve object from persistent state of id 15.
ERROR 33600 AWT-EventQueue-0 org.gvsig.andami.ui.mdiFrame.MDIFrame - Can't perform action 'application-project-open'.
java.lang.NullPointerException
    at org.gvsig.app.project.DefaultProject.addDocument(DefaultProject.java:374)
    at org.gvsig.app.project.DefaultProject.add(DefaultProject.java:370)
    at org.gvsig.app.project.DefaultProject.loadFromState(DefaultProject.java:682)
    at org.gvsig.app.project.DefaultProject.loadState(DefaultProject.java:597)
    at org.gvsig.app.project.DefaultProject.loadState(DefaultProject.java:650)
    at org.gvsig.app.extension.ProjectExtension.readProject(ProjectExtension.java:522)
    [...]

#2 - 08/08/2017 11:59 AM - Álvaro Anguix
- Priority changed from High to Immediate

#3 - 08/08/2017 12:38 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197)
- Assignee set to Joaquín  del Cerro Murciano

#4 - 08/08/2017 08:06 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4550: Projects corrupted if raster prj not recognized added
#5 - 08/09/2017 09:18 AM - Joaquín  del Cerro Murciano
- Related to deleted (gvSIG bugs #4550: Projects corrupted if raster prj not recognized)

#6 - 08/09/2017 09:19 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4344: 3D layer properties are not persistent added

#7 - 08/09/2017 09:45 AM - Joaquín  del Cerro Murciano

Parece ser que la causa esta en el cambio que se introdujo para arreglar el ticket #4344.
Lo he deshecho y deja de producirse el error.
Voy a ver si aberiguo por que sucede el error con esos cambios.

#8 - 08/09/2017 11:49 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Habia un error gordo en la correccion aplicada al ticket  #4344.
Ya esta corregido.

#9 - 08/11/2017 11:18 AM - Antonio Falciano
- Status changed from Fixed to Closed
